SDL_GetGamepadButtonFromString(3)

NAME
SDL_GetGamepadButtonFromString - Convert a string into an SDL_GamepadButton enum.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

SDL_GamepadButton SDL_GetGamepadButtonFromString(const char *str);

DESCRIPTION
This function is called internally to translate SDL_Gamepad mapping strings for the underlying joystick device into the consistent SDL_Gamepad mapping. You do not normally need to call this function unless you are parsing SDL_Gamepad mappings in your own code.

FUNCTION PARAMETERS

str string representing a SDL_Gamepad axis.

RETURN VALUE
Returns the SDL_GamepadButton enum corresponding to the input string, or SDL_GAMEPAD_BUTTON_INVALID if no match was found.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetGamepadStringForButton(3)